DAILY {bimets} | R Documentation

## Daily Time Series (Dis)Aggregation

### Description

This function returns a daily disaggregated time series, by using as input an annual, semiannual, quarterly or monthly time series.

### Usage

    DAILY(x = NULL, fun = NULL, avoidCompliance = FALSE, ...)

### Arguments

`x` | Input time series, that must satisfy the compliance control check defined in `is.bimets`.
`fun` | NULL: (default) the output value of each daily observation is set equal to the value of the input observation the date belongs to (i.e. duplicated values over the period) INTERP_END: the value of the input time series in a period is copied into the last day of the output time series that lies in the same period. Other values are calculated by linear interpolation. INTERP_CENTER: the value of the input time series in a period is copied into the median day of the output time series that lies in the same period. Other values are calculated by linear interpolation. INTERP_BEGIN: the value of the input time series in a period is copied into the first day of the output time series that lies in the same period. Other values are calculated by linear interpolation.
`avoidCompliance` | If `TRUE`, compliance control check of input time series will be skipped. See `is.bimets`
`...` | Backward compatibility.

### Value

This function returns a daily BIMETS time series.

### See Also

`ANNUAL`
`SEMIANNUAL`
`QUARTERLY`
`MONTHLY`

### Examples

    	#TS quarterly
    	ts1=TSERIES((1:2),START=c(2000,1),FREQ='Q');
    	TABIT(DAILY(ts1,fun='INTERP_CENTER'));

    	#TS monthly
    	ts1=TSERIES((1:4),START=c(2000,1),FREQ=12);
    	TABIT(DAILY(ts1));

[Package bimets version 1.4.0 Index]